com.aliyun.svideosdk.common.struct.effect

## Class TrackAudioStream

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.TrackAudioStream

-     public class TrackAudioStream
      extends EffectBase

  v3.27.0新增 轨道编辑的音频流实体类

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackAudioStream.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `duration`
    `protected long` | `streamDuration`
    `protected int` | `streamId`
    `protected long` | `streamStartTime`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackAudioStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIsInvalid()` Checks the data is invalid
    `int` | `getAudioWeight()` 获取音频流混音权重
    `long` | `getDuration()` 获取流文件自身的时间, 单位：毫秒
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` 获取流文件自身的时间
    `long` | `getStartTime()` 获取音频流在轨道的开始时间, 单位： 毫秒
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` 获取音频流在轨道的开始时间
    `long` | `getStreamDuration()` 获取流的的选取时间, 单位：毫秒
    `long` | `getStreamDuration(java.util.concurrent.TimeUnit timeUnit)` 获取流的的选取时间
    `long` | `getStreamEndTime()` 获取流的的结束时间, 单位：毫秒
    `long` | `getStreamEndTime(java.util.concurrent.TimeUnit unit)` 获取流的的结束时间
    `int` | `getStreamId()` 获取流的唯一标识
    `long` | `getStreamStartTime()` 获取流的的开始时间, 单位：毫秒
    `long` | `getStreamStartTime(java.util.concurrent.TimeUnit unit)` 获取流的的开始时间
    `void` | `setStreamDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` 设置流的持续时长
    `void` | `setStreamId(int streamId)` 设置流的的唯一标识, 不建议用户设置
    `void` | `setStreamStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置流的的开始时间

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### streamId

          protected int streamId

    - #### streamStartTime

          protected long streamStartTime

    - #### streamDuration

          protected long streamDuration

    - #### duration

          protected long duration

  - ### Constructor Detail

    - #### TrackAudioStream

          public TrackAudioStream()

  - ### Method Detail

    - #### getStreamId

          public int getStreamId()

      获取流的唯一标识
      Returns:
        id

    - #### setStreamId

          public void setStreamId(int streamId)

      设置流的的唯一标识, 不建议用户设置
      Parameters:
        `streamId` -

    - #### getStreamStartTime

          public long getStreamStartTime()

      获取流的的开始时间, 单位：毫秒
      Returns:
        startTime

    - #### getStreamStartTime

          public long getStreamStartTime(java.util.concurrent.TimeUnit unit)

      获取流的的开始时间
      Parameters:
        `unit` - 时间单位
      Returns:
        startTime

    - #### getStreamEndTime

          public long getStreamEndTime()

      获取流的的结束时间, 单位：毫秒
      Returns:
        endTime

    - #### getStreamEndTime

          public long getStreamEndTime(java.util.concurrent.TimeUnit unit)

      获取流的的结束时间
      Parameters:
        `unit` - 时间单位
      Returns:
        endTime

    - #### setStreamStartTime

          public void setStreamStartTime(long startTime,
                                         java.util.concurrent.TimeUnit timeUnit)

      设置流的的开始时间
      Parameters:
        `startTime` -
        `timeUnit` - 时间单位

    - #### getStreamDuration

          public long getStreamDuration()

      获取流的的选取时间, 单位：毫秒
      Returns:
        endTime

    - #### getStreamDuration

          public long getStreamDuration(java.util.concurrent.TimeUnit timeUnit)

      获取流的的选取时间
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        duration

    - #### setStreamDuration

          public void setStreamDuration(long duration,
                                        java.util.concurrent.TimeUnit timeUnit)

      设置流的持续时长
      Parameters:
        `duration` -
        `timeUnit` - 时间单位

    - #### getDuration

          public long getDuration()

      获取流文件自身的时间, 单位：毫秒
      Returns:
        endTime

    - #### getDuration

          public long getDuration(java.util.concurrent.TimeUnit timeUnit)

      获取流文件自身的时间
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        duration

    - #### getAudioWeight

          public int getAudioWeight()

      获取音频流混音权重
      Returns:
        audioWeight

    - #### getStartTime

          public long getStartTime()

      获取音频流在轨道的开始时间, 单位： 毫秒
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        startTime

    - #### getStartTime

          public long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      获取音频流在轨道的开始时间
      Returns:
        startTime

    - #### checkIsInvalid

          public boolean checkIsInvalid()

      Description copied from class: `EffectBase`
      Checks the data is invalid
      Overrides:
        `checkIsInvalid` in class `EffectBase`
      Returns:
        true invalid, false valid